基礎考題(精確度:小數點四位數)

斜线区域面积为何?

点A至点B距离为何?

区域A周长为多少?

区域B面积为多少?

半圆球半径为多少?

图形最外围所围成面积为多少?

图形最外围所围成的面积为多少?

圆A半径为多少?

进阶与系统规划考题

希望插入BLOCK图块时,能出现交谈框以供输入属性值,应该将哪一个变量打开?

希望R2006绘制PLINE时,回复传统的POLYLINE性质(具有Z值),非LWPOLYLIN,应该设定哪一个变量,其值为何?

希望以指令方式执行SYTLE、LINETYPE、LAYER...等指令,应该如何执行?

剖面线定义时除了修改ACADISO.PAT还可以用什么方式定义档名?

要将下拉菜单第三项(POP3)的第3个开关宏语法应该如何写?

AutoCAD除了DDMODIFY指令外还有哪一个可查询到弧长与包含角,同时又可透过哪一个变量取的弧长数据

"AA,BB,CC,DD,EE"  => ("AA"        "BB" "CC" "DD" "EE")

"AA BB CC DD EE" =>  ("AA"        "BB" "CC" "DD" "EE")

取得LWPOLYLINE所有点坐标,结合成一个串行,并于每一个顶点上画一个点记号,如图:

將取得的點結合至PP_LST串列中:

((139.292 185.475) (95.9699    150.003) (145.91 110.924) (159.749 153.61)    (175.995 159.622) (193.444 133.77) (200.664 116.335) (263.24 120.544)    (277.079 175.254) (306.562 159.622))

基础考题(精确度:小数点四位数)

斜线区域面积为何?

点A至点B距离为何?

区域A周长为多少?

区域B面积为多少?

半圆球半径为多少?

图形最外围所围成面积为多少?

進階與系統規劃考題

在指令加入"-"如-STYLE、-LINETYOE、-LAYER

同名定义:例如要设计名称为AA的剖面线,其文件名即为AA.PAT

关闭:$P3.3=~   打开语法:$P3.3=

LENGTHEN(调整长度)直接碰选弧即可,PERIMETER可取得刚查询完成的弧长

AutoLISP    程式設計考題

将带有逗号或空格的字符串转为串行,例如:

(defun c:test5_1()        (setq txt (getstring t "\n輸入字串內容:"))        (initget "S s D d")        (setq typ (getkword "\n間格形式->空格\(S\)逗點\(D\):"))        (if (= TYP nil) (setq typ "S"))        (if (= typ "S") (setq typ " ") (setq typ    ","))        (setq typ (strcase typ))        (setq i 1 pp "" txt_lst '())        (repeat (strlen txt)                (setq p (substr txt i    1))                (if (/= p typ)                       (setq pp (strcat pp p))                       (setq txt_lst (cons pp txt_lst) pp "")                )        (setq i (1+ i))        )        (setq txt_lst (cons pp txt_lst))        (setq txt_lst (reverse txt_lst))        (princ (strcat "\n原字串內容:" txt))        (princ "\n轉換為串列:")        (princ txt_lst)        (prin1)    )

输入旧字符串与新字符串内容,选取图面上的文字,如果符合条件则旧字符串修改为新字符串内容

(defun c:test5_2()         (setvar "cmdecho" 0)         (setq ss (ssget "X" '((0 . "LWPOLYLINE"))))         (setq i 0 pp_lst '())         (setvar "pdmode" 33)         (repeat (sslength ss)                (setq ssn (ssname ss    i))                (setq endata (entget    ssn))                (setq n 0)                (repeat (length endata)                         (setq pp (nth n endata))                         (setq key (car pp))                         (if (= key 10) (progn                                 (setq x (cadr pp))                                 (setq y (caddr pp))                                 (command "point" (list x y))                                 (setq pp_lst (cons (list x y) pp_lst))                              )                          )                         (setq n (1+ n))                )                (setq i (1+ i))            )            (princ "\n結合完成串列: ")            (princ pp_lst)            (prin1)    )

1.AutoCAD的AutoLISP是何方神圣?

2.AutoCAD的AutoLISP基本结构及语法的关键

3.AutoCAD的快速浏览AutoLISP功能函数分类(一)

4.AutoCAD的快速浏览AutoLISP功能函数分类(二)

5.AutoCAD的AutoLISP设计技巧轻松快速的掌握

6.AutoCAD的AUTOLISP活用技巧如何快速取得图形的数据 (一)

7.AUTOCAD的AUTOLISP活用技巧如何快速取得图形的数据 (二)

8.AUTOCAD的AutoLISP关键技巧参数设计

Autocad的LISP程序基础考题 (一)与解答,好教材建议收藏

Autocad的LISP程序基础考题 (二)与解答,好教材建议收藏

Autocad的LISP程序基础考题 (三)与解答,好教材建议收藏

Autocad的LISP程序基础考题 (四)与解答,好教材建议收藏

Autocad的LISP程序基础考题 (五)与解答,好教材建议收藏

Autocad的LISP程序基础考题 (六)与解答,好教材建议收藏

Autocad的LISP程序基础考题 (七)与解答,好教材建议收藏

Autocad的LISP程序基础考题(八)与解答,好教材建议收藏

Autocad的LISP程序基础考题(九)与解答,好教材建议收藏

Autocad的LISP程序基础考题(十)与解答,好教材建议收藏

Autocad的LISP程序基础考题(十一)与解答,好教材建议收藏

Autocad的LISP程序基础考题(十二)与解答,好教材建议收藏

欢迎大家点赞和转发